@charset "utf-8";

body {
    background: #222;
    color: #fff;
  }

/* --------------------------
基本設定
----------------------------- */
* {
    box-sizing: border-box;
}



body {
    background-color: #fff;
    color: #222;

    font-size: 100%;
    font-family: "Yu Gothic", "Meiryo", "MS Gothic", sans-serif;

}
    

img {
    max-width: 100%;
}

section {
    margin: 5rem 0 5rem;
}


/* --------------------------
スマホ用のdisplay:none
----------------------------- */
/* ハンバーガー消す */
.hamburger {
    display: none;
}

/* スマホ用の改行消す */
.ps-br {
    display: none;
}

.sp-sns {
    display: none;
}


/* --------------------------
スクロールアニメーション
----------------------------- */
.sc-up {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.sc-up.visible {
    opacity: 1;
    transform: translateY(0);
}




/* --------------------------
baseとback
----------------------------- */

/*---- 親要素の指定：parent--------------------------------- */
.parent-a {
    position: relative;
    display: inline-block;
}

.parent {
    position: relative;
}


.parent-box {
    position: relative;

    width: 100%;
    height: auto;
}
/*---- ベースの設定：base--------------------------------- */

.base {
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    border: 3px solid #222;
    border-radius: inherit;
    background: #fff;

    transition: all .2s;
}

.box-base {
    width: 100%;
    height: 100%;

    background: #fff;
    border: 3px solid #222;
    border-radius: inherit;
}

/*---- バックの設定：back--------------------------------- */
.back {
    position: absolute;

    width: 100%;
    height: 100%;

    border: 3px solid #222;
    border-radius: inherit;
}


.box-back {
    position: absolute;
    
    width: 100%;
    height: 100%;

    border: 3px solid #222;
    border-radius: inherit;

    z-index: -1;
}
/*---- 背景色クラス --------------------------------- */
.red-back {
    background: #7D021A;
}

.orange-back {
    background: #C26A10;
}

.yellow-back {
    background: #DC8F0D;
}

.blue-back {
    background: #69678C;
}

.nude-back {
    background: #A06159;
}

.brown-back {
    background: #7f4a2e;
}

/* --------------------------
トップに戻るボタン
----------------------------- */
.go-top {
    position: fixed;
    bottom: 0;
    right: 1rem;
    width: 140px;
}

.go-top:hover {
    animation: gotop .8s ease ;
}

@keyframes gotop {
    0%{
        transform: translateY(-10px);
    }
    30%{
        transform: translateY(0);
    }
    60% {
        transform: translateY(-5px);
    }
    100% {
        transform: translateY(0);
    }
}

/* --------------------------
ヘッダー
----------------------------- */

/*---- 基盤設定--------------------------------- */

.header-area {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    height: 100vh;

    padding: 2rem ;
}

/*---- ヘッダーsns--------------------------------- */
.header-sns {
    position: fixed;    
    top: 2rem;
    right: 4rem;

    z-index: 999;
}
.header-sns ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

/* ボタンのデザイン */
.sns-btn {
    width: 55px;
    height: 55px;
    
    border-radius: 50%;
}

.sns-icon {
    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 1.8rem;
}
.sns-back {
    top: 5px;
    left: 5px;
}

/* ホバーアクション */
.sns-btn:hover .sns-icon {
    top: 2px;
    left: 2px;
}

.sns-btn:active .sns-icon {
    top: 4px;
    left: 4px;
}


/*---- メインーロゴ--------------------------------- */

.header-logo-area {
    position: relative;
    top: -2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    width: 100%;

}

.header-logo-area h1 {
    width: 50%;
}

.header-logo-area .sub-title {
    position: relative;
    top: -1.5rem;
    font-size: 1.8rem;
    font-weight: bold;
    font-family: "Avenir Next", "Segoe UI", "Calibri", sans-serif;
}

.logo img:hover {
    animation: looganimation .8s ease 0s normal running none;  
}
@keyframes looganimation{
    from, to {
        transform: none;
    }
    10% {
        transform: scale(1.1);
    }
    40% {
        transform: scale(.9);
    }
    60% {
        transform: scale(1.04);
    }
    80% {
        transform: scale(.98);
    }
}
/*---- ナビゲーション--------------------------------- */

.nav-area ul {
    display: flex;
    flex-wrap: wrap;

    font-weight: bold;
    font-family: "Avenir Next", "Segoe UI", "Calibri", sans-serif;
    font-size: .9rem;

}

.nav-area ul li {
    margin: 0 .5rem;
}


/* ボタンデザイン */

.nav-area .parent-a {
    width: 170px;
    height: 50px;

    border-radius: 50px;
}

.nav-area .base {
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav-area .back {
    top: 7px;
    left: 7px;
}

/* ホバーアクション */
.nav-btn:hover .nav-text {
    top: 3px;
    left: 3px;
}

/* クリックーアクション */
.nav-btn:active .nav-text {
    top: 6px;
    left: 6px;
}

/* ボタンの詳細設定 */
.nav-text i {
    margin: 0 0 0 1rem;
    transform: rotate(90deg);
}

/*---- ドロップメニュー------------------------------ */
.drop-menu {
    position: absolute;
    top: calc(100% + 15px);
    left: 10px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;

    width: 400px;
 
    background: #fff;
    border: 3px solid #222;
    border-radius: 20px;

    padding: 2rem;

    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: opacity 0.3s ease, transform 0.3s ease;
}



/* ドロップメニューバック */
.drop-back {
    position: absolute;
    top: calc(100% + 15px + 8px);
    left: 18px;

    width: 400px;
    height: 152px;
    
    border: 3px solid #222;
    border-radius: 20px;

    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

/* テキスト調整 */
.drop-sub {
    font-size: .8rem;
    margin: 0 0 0 1rem;
}

/* ドロップメニューのホバーアクション */
.drop-menu li:hover {
    transform: translateX(3px);
    transition: all .1s;
}

/* ドロップメニュー展開 */

/* クリックで表示 */
.drop-menu.active {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}
.drop-back.active {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}
/* ホバーで展開 */
.drop-parent:hover .drop-menu{
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}
.drop-parent:hover .drop-back{
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}



/* --------------------------
フッター
----------------------------- */

/*---- 基本設定------------------------------ */
footer {
    max-width: 1200px;
    margin: 0 auto;
}
.footer-area {
    display: flex;
    align-items: normal;
    gap: 2rem;

    padding: 3rem;

    font-weight: bold;
    
}

/*---- 左側------------------------------ */
.footer-left {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;

    width: 48%;
}

/* ロゴ */
.footer-left .logo{
    display: inline-block;
    
    width: 100%;
    max-width: 300px;
    padding: 2rem 1rem;
}

/* sns */
.footer-sns {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;

    margin: 0 0 4rem;
}

/* インフォメーション */
.footer-info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.footer-info li {
    max-width:100%;

    padding: 1rem 2rem;

    border: 3px solid #222;
    border-radius: 50px;

    font-size: .9rem;
    text-align: center;
}

/* アイコンとテキストの余白調整 */

.info-text i {
    position: relative;
    left: -10px;
    font-size: 1.1rem;
}

/* ホバーアクション */
.footer-info li:nth-child(1):hover {
    background: #7D021A;
    color: #fff;
    transition: all .2s;
}
.footer-info li:nth-child(2):hover {
    background: #6470AA;
    color: #fff;
    transition: all .2s;
}
.footer-info li:nth-child(3):hover {
    background: #C26A10;
    color: #fff;
    transition: all .2s;
}


/*---- 右側------------------------------ */
.footer-right {
    width: 50%;
}

.site-map {
    width: 100%;
    height: 100%;

    padding: 4rem 0 ;

    border: 3px solid #222;
    border-radius: 50px;
}

.site-ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
}

.site-ul a {
    display: block;

    width: 80%;

    margin: 0 auto;
}

.site-drop {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    margin: 1rem 0 0 0;
    font-weight: normal;
}

.site-drop li {
    margin: 0 0 0 .5rem;
}

/* ホバーアクション */
.site-map a:hover {
    transform: translateX(3px);
    transition: all .2s;
}

/*---- コピーライト------------------------------ */
small {
    text-align: right;
    display: block;
    padding: 2rem 3rem;
}




/* ------------------------------------------------
レスポンシブ レイアウト 1000px以下
--------------------------------------------------- */

@media(max-width:1000px){
    /* --------------------------
    ヘッダー
    ----------------------------- */

    .pc-sns {
        display: none;
    }
    /*---- ハンバーガー------------------------------ */
    .hamburger-btn {
        width: 80px;
        height: 80px;
        border-radius: 50%;

        position: fixed;
        top: 1rem;
        right: 1.5rem;

        z-index: 999;
    }
    .hamburger {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        border: none;
        cursor: pointer;
    }
    .hamburger .back {
        top: 5px;
        left: 5px;
    }

    .hamburger .base {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    /* ハンバーガーの線 */
    .hamburger span {
    display: block;
    position: absolute;
    
    width: 40px;
    height: 3px;
    background: #222;

    transition: all .4s ease-in-out;
    }


    /* 上の線 */
    .hamburger span:nth-child(1) {
        top: 20px;
    }

    /* 真ん中の線 */
    .hamburger span:nth-child(2) {
        top: 50%;
        transform: translateY(-50%);
    }

    /* 下の線 */
    .hamburger span:nth-child(3) {
        bottom: 20px;
    }

    /*---- ハンバーガークリック------------------------------ */
    .nav-area.active {
        transform: translateX(0);
    }

    .hamburger-btn:hover .base  {
        top: 1px;
        left: 1px;
    }
    .hamburger-btn:active .base  {
        top: 3px;
        left: 3px;
    }

    /* アクティブ時（× に変化） */
    .hamburger.active span:nth-child(1) {
        top: 50%;
        transform: translateY(-50%) rotate(45deg);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        top: 50%;
        transform: translateY(-50%) rotate(-45deg);
    }

    /*---- ナビゲーション------------------------------ */
    .nav-area {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;

        width: 100vw;
        height: 100vh;

        background: #fff;
        border-left: 3px solid #222;

        transform: translateX(100%);
        transition: ease .4s;

        z-index: 999;
    }

    .navs {
        position: relative;
        top: 10%;
        left: 10%;

        flex-direction: column;
        gap: 1.2rem;
        width: fit-content;
    }



    /* ボタンの装飾 */
    .nav-area .parent-a {
        width: 200px;
        height: 53px;
    }


    /*---- ドロップメニュー------------------------------ */

    .drop-menu {
        z-index: 997;

        width: 320px;
        height: 150px;

        padding: 1rem 2rem;
        gap: 1rem;  
    }

    .drop-menu li {
        font-size: .9rem;
        
    }

    .drop-back {
        width: 320px;
        height: 150px;
    }


    /*---- スマホ用sns------------------------------ */
    .sp-sns {
        position: absolute;
        bottom: 10%;
        right: 10%;

        display: flex;
        flex-direction: column;
        align-items: center;

        z-index: 999;
        width: 30%;
    }

    .sp-sns ul {
        display: flex;
        flex-wrap: nowrap;
    }

    .sp-sns .parent-a {
        width: 55px;
    }
    .sp-sns .back {
        top: 5px;
        left: 5px;
    }

    .sp-sns .logo  {
        width: 200px;
        margin: 0 0 1rem;
    }

    /*---- メインーロゴ--------------------------------- */
    .header-logo-area h1{
        min-width: 400px;
    }

    .header-logo-area .sub-title {
        top: 0;

        font-size: 1.6rem;
    }

        /* --------------------------
    フッター
    ----------------------------- */
    .footer-area {
        padding: 2rem;
    }


}


/* ------------------------------------------------
レスポンシブ レイアウト 600px以下
--------------------------------------------------- */

@media(max-width: 600px) {

    /* --------------------------
    基本設定
    ----------------------------- */

    section {
        margin: 5rem 0;
    }
    /* スマホ用の改行復活 */
    .ps-br {
        display: block;
    }

    /*---- ハンバーガー------------------------------ */
    .hamburger-btn {
        width: 60px;
        height: 60px;
    }

    .hamburger-btn .back {
        top: 4px;
        left: 4px;
    }

    /* 線 */
    .hamburger span{
        width: 30px;
    }
    .hamburger span:nth-child(1) {
        top: 15px;
    }
    .hamburger span:nth-child(3) {
        bottom: 15px;
    }

    /*---- ナビゲーション------------------------------ */
    .nav-area {
        width: 100vw;
        height: 100vh;
    }
    /* ボタンの装飾 */
    .nav-btn {
        width: 190px;
        height: 48px;
    }
    .nav-btn .base {
        width: inherit;
        height: inherit;
    }
    .nav-btn .back {
        top: 6px;
        left: 6px;

        width: inherit;
        height: inherit;
    }

    /*---- sp-sns------------------------------ */
    .sp-sns {
        position: absolute;
        bottom: 2rem;
        left: 2rem;
        width: 200px;
        padding: 2rem 0 2rem 2.5rem;
    }
    .sp-sns .logo {
        width: 170px;
        margin: 0 0 .5rem;
    }
    .sp-sns .parent-a {
        width: 50px;
        height: 50px;
    }

    .sp-sns .back {
        top: 4px;
        left: 4px;
    }

    /*---- メインーロゴ--------------------------------- */
    .header-logo-area h1 {
        min-width: 320px;
    }
    .header-logo-area .sub-title {
        text-align: center;
    }

    /* --------------------------
    フッター
    ----------------------------- */
    .footer-area {
        flex-direction: column;
        align-items: center;
        gap: 0;

        padding: 1rem;
    }
    .footer-left {
        width: 100%;

        padding: 0 1rem;
        margin: 0 0 3rem;
    }

    .footer-area .logo {
        width: 250px;
        padding: 0;
        margin: 0 0 2rem;
    }
    /* インフォメーション */
    .mail {
        font-size: .8rem;
    }
    .footer-right {
        width: 100%;
        padding: 1rem;
    }

}